com.explodingpixels.macwidgets.plaf

## Class HudSliderUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.SliderUI
    - - javax.swing.plaf.basic.BasicSliderUI
      - - com.explodingpixels.macwidgets.plaf.HudSliderUI

-     public class HudSliderUI
      extends BasicSliderUI

  Creates a Heads Up Display (HUD) style slider, similar to that seen in various iApps (e.g. iPhoto).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSliderUI

      `BasicSliderUI.ActionScroller, BasicSliderUI.ChangeHandler, BasicSliderUI.ComponentHandler, BasicSliderUI.FocusHandler, BasicSliderUI.PropertyChangeHandler, BasicSliderUI.ScrollListener, BasicSliderUI.TrackListener`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicSliderUI

      `changeListener, componentListener, contentRect, focusInsets, focusListener, focusRect, insetCache, labelRect, leftToRightCache, MAX_SCROLL, MIN_SCROLL, NEGATIVE_SCROLL, POSITIVE_SCROLL, propertyChangeListener, scrollListener, scrollTimer, slider, thumbRect, tickRect, trackBuffer, trackListener, trackRect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HudSliderUI(JSlider b)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `calculateThumbLocation()`
    `protected void` | `calculateTickRect()`
    `protected Dimension` | `getThumbSize()`
    `protected int` | `getTickLength()`
    `protected void` | `installDefaults(JSlider slider)`
    `void` | `paint(Graphics g, JComponent c)`
    `void` | `paintFocus(Graphics g)`
    `protected void` | `paintMajorTickForHorizSlider(Graphics g, Rectangle tickBounds, int x)`
    `void` | `paintThumb(Graphics graphics)`
    `void` | `paintTrack(Graphics graphics)`
    `void` | `setThumbLocation(int x, int y)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicSliderUI

      `calculateContentRect, calculateFocusRect, calculateGeometry, calculateLabelRect, calculateThumbSize, calculateTrackBuffer, calculateTrackRect, createChangeListener, createComponentListener, createFocusListener, createPropertyChangeListener, createScrollListener, createTrackListener, createUI, drawInverted, getBaseline, getBaselineResizeBehavior, getFocusColor, getHeightOfHighValueLabel, getHeightOfLowValueLabel, getHeightOfTallestLabel, getHighestValue, getHighestValueLabel, getHighlightColor, getLowestValue, getLowestValueLabel, getMaximumSize, getMinimumHorizontalSize, getMinimumSize, getMinimumVerticalSize, getPreferredHorizontalSize, getPreferredSize, getPreferredVerticalSize, getShadowColor, getWidthOfHighValueLabel, getWidthOfLowValueLabel, getWidthOfWidestLabel, installKeyboardActions, installListeners, installUI, isDragging, labelsHaveSameBaselines, paintHorizontalLabel, paintLabels, paintMajorTickForVertSlider, paintMinorTickForHorizSlider, paintMinorTickForVertSlider, paintTicks, paintVerticalLabel, recalculateIfInsetsChanged, recalculateIfOrientationChanged, scrollByBlock, scrollByUnit, scrollDueToClickInTrack, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, valueForXPosition, valueForYPosition, xPositionForValue, yPositionForValue, yPositionForValue`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HudSliderUI

          public HudSliderUI(JSlider b)

  - ### Method Detail

    - #### installDefaults

          protected void installDefaults(JSlider slider)

      Overrides:
        `installDefaults` in class `BasicSliderUI`

    - #### getThumbSize

          protected Dimension getThumbSize()

      Overrides:
        `getThumbSize` in class `BasicSliderUI`

    - #### paint

          public void paint(Graphics g,
                   JComponent c)

      Overrides:
        `paint` in class `BasicSliderUI`

    - #### paintThumb

          public void paintThumb(Graphics graphics)

      Overrides:
        `paintThumb` in class `BasicSliderUI`

    - #### paintTrack

          public void paintTrack(Graphics graphics)

      Overrides:
        `paintTrack` in class `BasicSliderUI`

    - #### getTickLength

          protected int getTickLength()

      Overrides:
        `getTickLength` in class `BasicSliderUI`

    - #### calculateThumbLocation

          protected void calculateThumbLocation()

      Overrides:
        `calculateThumbLocation` in class `BasicSliderUI`

    - #### calculateTickRect

          protected void calculateTickRect()

      Overrides:
        `calculateTickRect` in class `BasicSliderUI`

    - #### paintMajorTickForHorizSlider

          protected void paintMajorTickForHorizSlider(Graphics g,
                                          Rectangle tickBounds,
                                          int x)

      Overrides:
        `paintMajorTickForHorizSlider` in class `BasicSliderUI`

    - #### setThumbLocation

          public void setThumbLocation(int x,
                              int y)

      Overrides:
        `setThumbLocation` in class `BasicSliderUI`

    - #### paintFocus

          public void paintFocus(Graphics g)

      Overrides:
        `paintFocus` in class `BasicSliderUI`